## plasma-mobile-config 0.4

=== CMakeLists.txt ===
project(plasma-mobile-config)
cmake_minimum_required (VERSION 2.8)

find_package(KDE4 REQUIRED)

include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

set(KDE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")

include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )

configure_file(
    profile.d/activeqmlimportpath.sh.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/profile.d/activeqmlimportpath.sh
)
configure_file(
    profile.d/disablecursors.sh.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/profile.d/disablecursors.sh
)

install(DIRECTORY appconfig/ DESTINATION ${CONFIG_INSTALL_DIR})
install(DIRECTORY skel/dotkde/ DESTINATION /etc/skel/.kde)
install(DIRECTORY skel/dotconfig/ DESTINATION /etc/skel/.config)
#install(DIRECTORY profile.d/*.sh DESTINATION /etc/profile.d/)
install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/profile.d DESTINATION /etc/ PATTERN .cmake EXCLUDE)

=== startactive-modules/CMakeLists.txt ===
FILE(GLOB startactive_modules *.module)
FILE(GLOB startactive_modules_in *.module.in)

SET(inFiles
    kdeinit.module
    lnusertemp-socket.module
    lnusertemp-cache.module
    lnusertemp-tmp.module
    )

set(KDE_ROOT_DIR ${CMAKE_INSTALL_PREFIX})

FOREACH(infileName ${inFiles})
    MESSAGE(STATUS "Process file: ${infileName}")

    configure_file(${infileName}.in "${CMAKE_CURRENT_BINARY_DIR}/${infileName}" @ONLY)

    install(
        FILES "${CMAKE_CURRENT_BINARY_DIR}/${infileName}"
        DESTINATION ${DATA_INSTALL_DIR}/startactive/modules/
        )
ENDFOREACH(infileName)

install(
    FILES ${startactive_modules}
    DESTINATION ${DATA_INSTALL_DIR}/startactive/modules/
)

=== debian/changelog ===
plasma-mobile-config (1:0.4-0ubuntu1) saucy; urgency=low

  * New upstream release LP: #1227602
  * Add epoch to reset version to match upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Sep 2013 16:30:20 +0100

plasma-mobile-config (3.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 24 Dec 2012 17:36:32 +0000

plasma-mobile-config (2.0+git2012071701-0ubuntu1) quantal; urgency=low

  * Use version number to match plasma-mobile

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jul 2012 17:13:24 +0100

plasma-mobile-config (0.0git20120717-0ubuntu1) quantal; urgency=low

  * Initial package split out from plasma-mobile

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jul 2012 15:47:53 +0100

=== debian/control ===
Source: plasma-mobile-config
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 8), quilt, cmake (>= 2.8),
 pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4.11),
Standards-Version: 3.9.3
Homepage: http://plasma-active.org/

Package: plasma-active-default-settings
Architecture: all
Depends: ${misc:Depends}
Description: Configuration settings for Plasma Active
 This package contains the default settings for KDE's Plasma Active.
 .
 This package is part of the Plasma Active platform.

## plasma-mobile-config 2.0+git2012071701

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,6 @@
 )
 
 install(DIRECTORY appconfig/ DESTINATION ${CONFIG_INSTALL_DIR})
-install(DIRECTORY skel/dotkde/ DESTINATION /etc/skel/.kde)
-install(DIRECTORY skel/dotconfig/ DESTINATION /etc/skel/.config)
+install(DIRECTORY skel/ DESTINATION /etc/skel/.kde/share/config)
 #install(DIRECTORY profile.d/*.sh DESTINATION /etc/profile.d/)
 install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/profile.d DESTINATION /etc/ PATTERN .cmake EXCLUDE)

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: debhelper (>= 8), quilt, cmake (>= 2.8),
- pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4.11),
+ pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4.8.80),
 Standards-Version: 3.9.3
 Homepage: http://plasma-active.org/
